## tcpdump 4.9.2

=== debian/changelog ===
tcpdump (4.9.2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: multiple security issues in tcpdump
    - CVE-2017-13011: buffer overflow in util-print.c:
      bittok2str_internal().
    - CVE-2017-12989: RESP parser infinite loop in print-resp.c:
      resp_get_length().
    - CVE-2017-12990: ISAKMP parser infinite loops in print-isakmp.c,
      several functions.
    - CVE-2017-12995 DNS parser infinite loop in print-domain.c:
      ns_print().
    - CVE-2017-12997: LLDP parser infinite loop in print-lldp.c:
      lldp_private_8021_print().
    - CVE-2017-12893: buffer over-read in smbutil.c:name_len().
    - CVE-2017-12894: buffer over-read in addrtoname.c:
      lookup_bytestring().
    - CVE-2017-12895: buffer over-read in print-icmp.c:icmp_print().
    - CVE-2017-12896: buffer over-read in print-isakmp.c:
      isakmp_rfc3948_print().
    - CVE-2017-12897: buffer over-read in print-isoclns.c:
      isoclns_print().
    - CVE-2017-12898: buffer over-read in print-nfs.c:interp_reply().
    - CVE-2017-12899: buffer over-read in print-decnet.c:
      decnet_print().
    - CVE-2017-12900: buffer over-read in util-print.c:tok2strbuf().
    - CVE-2017-12901: buffer over-read in print-eigrp.c:eigrp_print().
    - CVE-2017-12902: buffer over-read in print-zephyr.c, several
      functions.
    - CVE-2017-12985: buffer over-read in print-ip6.c:ip6_print().
    - CVE-2017-12986: buffer over-read in print-rt6.c:rt6_print().
    - CVE-2017-12987: buffer over-read in print-802_11.c:
      parse_elements().
    - CVE-2017-12988: buffer over-read in print-telnet.c:
      telnet_parse().
    - CVE-2017-12991: buffer over-read in print-bgp.c:bgp_attr_print().
    - CVE-2017-12992: buffer over-read in print-ripng.c:ripng_print().
    - CVE-2017-12993: buffer over-read in print-juniper.c, several
      functions.
    - CVE-2017-12994: buffer over-read in print-bgp.c:bgp_attr_print().
    - CVE-2017-12996: buffer over-read in print-pim.c:pimv2_print().
    - CVE-2017-12998: buffer over-read in print-isoclns.c:
      isis_print_extd_ip_reach().
    - CVE-2017-12999: buffer over-read in print-isoclns.c:isis_print().
    - CVE-2017-13000: buffer over-read in print-802_15_4.c:
      ieee802_15_4_if_print().
    - CVE-2017-13001: buffer over-read in print-nfs.c:nfs_printfh().
    - CVE-2017-13002: buffer over-read in print-aodv.c:
      aodv_extension().
    - CVE-2017-13003: buffer over-read in print-lmp.c:lmp_print().
    - CVE-2017-13004: buffer over-read in print-juniper.c:
      juniper_parse_header().
    - CVE-2017-13005: buffer over-read in print-nfs.c:xid_map_enter().
    - CVE-2017-13006: buffer over-read in print-l2tp.c, several
      functions.
    - CVE-2017-13007: buffer over-read in print-pktap.c:
      pktap_if_print().
    - CVE-2017-13008: buffer over-read in print-802_11.c:
      parse_elements().
    - CVE-2017-13009: buffer over-read in print-mobility.c:
      mobility_print().
    - CVE-2017-13010: buffer over-read in print-beep.c:l_strnstart().
    - CVE-2017-13012: buffer over-read in print-icmp.c:icmp_print().
    - CVE-2017-13013: buffer over-read in print-arp.c, several
      functions.
    - CVE-2017-13014: buffer over-read in print-wb.c:wb_prep(), several
      functions.
    - CVE-2017-13015: buffer over-read in print-eap.c:eap_print().
    - CVE-2017-13016: buffer over-read in print-isoclns.c:esis_print().
    - CVE-2017-13017: buffer over-read in print-dhcp6.c:
      dhcp6opt_print().
    - CVE-2017-13018: buffer over-read in print-pgm.c:pgm_print().
    - CVE-2017-13019: buffer over-read in print-pgm.c:pgm_print().
    - CVE-2017-13020: buffer over-read in print-vtp.c:vtp_print().
    - CVE-2017-13021: buffer over-read in print-icmp6.c:icmp6_print().
    - CVE-2017-13022: buffer over-read in print-ip.c:ip_printroute().
    - CVE-2017-13023, CVE-2017-13024, CVE-2017-13025: multiple buffer
      over-reads in print-mobility.c:mobility_opt_print().
    - CVE-2017-13026: buffer over-read in print-isoclns.c, several functions.
    - CVE-2017-13027: buffer over-read in print-lldp.c:
      lldp_mgmt_addr_tlv_print().
    - CVE-2017-13028: buffer over-read in print-bootp.c:bootp_print().
    - CVE-2017-13029: buffer over-read in print-ppp.c:
      print_ccp_config_options().
    - CVE-2017-13030: buffer over-read in print-pim.c, several functions.
    - CVE-2017-13031: buffer over-read in print-frag6.c:frag6_print().
    - CVE-2017-13032: buffer over-read in print-radius.c:print_attr_string().
    - CVE-2017-13033: buffer over-read in print-vtp.c:vtp_print().
    - CVE-2017-13034: buffer over-read in print-pgm.c:pgm_print().
    - CVE-2017-13035: buffer over-read in print-isoclns.c:isis_print_id().
    - CVE-2017-13036: buffer over-read in print-ospf6.c:ospf6_decode_v3().
    - CVE-2017-13037: buffer over-read in print-ip.c:ip_printts().
    - CVE-2017-13038: buffer over-read in print-ppp.c:handle_mlppp().
    - CVE-2017-13039: buffer over-read in print-isakmp.c, several
      functions.
    - CVE-2017-13040: buffer over-read in print-mptcp.c, several
      functions.
    - CVE-2017-13041: buffer over-read in print-icmp6.c:
      icmp6_nodeinfo_print().
    - CVE-2017-13042: buffer over-read in print-hncp.c:dhcpv6_print().
    - CVE-2017-13043: buffer over-read in print-bgp.c:
      decode_multicast_vpn().
    - CVE-2017-13044: buffer over-read in print-hncp.c:dhcpv4_print().
    - CVE-2017-13045: buffer over-read in print-vqp.c:vqp_print().
    - CVE-2017-13046: buffer over-read in print-bgp.c:bgp_attr_print().
    - CVE-2017-13047: buffer over-read in print-isoclns.c:esis_print().
    - CVE-2017-13048: buffer over-read in print-rsvp.c:
      rsvp_obj_print().
    - CVE-2017-13049: buffer over-read in print-rx.c:ubik_print().
    - CVE-2017-13050: buffer over-read in print-rpki-rtr.c:
      rpki_rtr_pdu_print().
    - CVE-2017-13051: buffer over-read in print-rsvp.c:
      rsvp_obj_print().
    - CVE-2017-13052: buffer over-read in print-cfm.c:cfm_print().


=== debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 8.9.4~),
               dh-apparmor,
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libpcap0.8-dev (>= 1.5.3~),
               libssl-dev
Standards-Version: 4.1.0
Homepage: http://www.tcpdump.org/
Vcs-Browser: https://anonscm.debian.org/cgit/users/rfrancoise/tcpdump.git/
Vcs-Git: https://anonscm.debian.org/git/users/rfrancoise/tcpdump.git

Package: tcpdump
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: apparmor (>= 2.3)
Description: command-line network traffic analyzer
 This program allows you to dump the traffic on a network. tcpdump
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network
 interface, filter packets that match a certain expression. You can
 use this tool to track down network problems, to detect attacks
 or to monitor network activities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-crypto=yes

override_dh_installdeb:
	dh_apparmor --profile-name=usr.sbin.tcpdump -ptcpdump
	dh_installdeb

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" http://www.tcpdump.org release/tcpdump-([\d\.]*).tar.gz

## tcpdump 4.9.3

=== debian/changelog ===
tcpdump (4.9.3-4) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 31 Dec 2019 19:24:04 +0100

tcpdump (4.9.3-3) unstable; urgency=medium

  * Minor packaging fixes courtesy of the Janitor bot and lintian-brush:
    + Use secure URI in debian/watch.
    + Use secure URI in Homepage field.
    + Bump debhelper from old 11 to 12.
    + Set debhelper-compat version in Build-Depends.
    + Re-export upstream signing key without extra signatures.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Dec 2019 13:56:42 +0100

tcpdump (4.9.3-2) unstable; urgency=medium

  * Disable failing IKEv2 test yet again to fix build on ppc64el (again)
    (closes: #942171).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 11 Oct 2019 20:48:04 +0200

tcpdump (4.9.3-1) unstable; urgency=medium

  * New upstream release, with fixes for 24 different CVEs (closes: #941698).
  * Build-depend on libpcap >= 1.9.1 to make all build-time tests pass.
  * Re-enable IKEv2 test.
  * Bump Standards-Version to 4.4.1.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 10 Oct 2019 21:31:38 +0200

tcpdump (4.9.3~git20190901-2) unstable; urgency=medium

  * Disable failing IKEv2 test again to fix build on ppc64el.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Sep 2019 12:14:43 +0200

tcpdump (4.9.3~git20190901-1) unstable; urgency=low

  * New upstream snapshot from the tcpdump-4.9 branch:
    + Includes fix for CVE-2017-16808 (closes: #881862).
    + Fixes ESP decryption on ppc64el (and others), re-enable tests.
  * Drop root privileges by default (closes: #935112):
    + debian/rules: Configure --with-user=tcpdump.
    + debian/tcpdump.post{inst,rm}: Create/delete a 'tcpdump' system group
      and user.
    + debian/control: Add dependency on adduser.
    + debian/patches/drop-privs-after-opening-savefile.diff: New patch
      (from Fedora) to drop root privileges *after* opening the savefile
      when possible, to alleviate possible inconvenience if the target
      directory is not writable by user tcpdump.
    + debian/patches/drop-privs-silently.diff: New patch (from Fedora) to
      drop root privileges silently.
    + debian/usr.sbin.tcpdump: Add chown capability, and update rules
      about device discovery.
    + debian/NEWS: Mention how to run tcpdump as root.
  * Bump Standards-Version to 4.4.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Sep 2019 13:05:24 +0200

tcpdump (4.9.2-3) unstable; urgency=medium

  [ Jamie Strandboge ]
  * debian/usr.sbin.tcpdump: drop 'capability sys_module' since we already
    have 'net_admin' and network module loading (which happens with -D) is
    allowed with 'net_admin' (LP: #1759029) (closes: #894161)

  [ Romain Francoise ]
  * Switch to debhelper compatibility level 11.
  * Bump Standards-Version to 4.1.3.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 31 Mar 2018 22:22:36 +0200

tcpdump (4.9.2-2) unstable; urgency=medium

  * Use new URLs on salsa.debian.org for Vcs-* fields.
  * Bump Standards-Version to 4.1.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Dec 2017 15:53:41 +0100

=== debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-apparmor,
               dpkg-dev (>= 1.16.1~),
               libpcap0.8-dev (>= 1.9.1),
               libssl-dev
Standards-Version: 4.4.1
Homepage: https://www.tcpdump.org/
Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
Vcs-Git: https://salsa.debian.org/rfrancoise/tcpdump.git

Package: tcpdump
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
	 adduser
Breaks: apparmor-profiles-extra (<< 1.12~)
Replaces: apparmor-profiles-extra (<< 1.12~)
Suggests: apparmor (>= 2.3)
Multi-Arch: foreign
Description: command-line network traffic analyzer
 This program allows you to dump the traffic on a network. tcpdump
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network
 interface, filter packets that match a certain expression. You can
 use this tool to track down network problems, to detect attacks
 or to monitor network activities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-crypto=yes --with-user=tcpdump

override_dh_installdeb:
	dh_apparmor --profile-name=usr.sbin.tcpdump -ptcpdump
	dh_installdeb

## tcpdump 4.99.0

=== CMakeLists.txt ===
if(WIN32)
    #
    # We need 3.12 or later, so that we can set policy CMP0074; see
    # below.
    cmake_minimum_required(VERSION 3.12)
else(WIN32)
    cmake_minimum_required(VERSION 2.8.6)
endif(WIN32)

#
# We want find_path() and find_library() to honor {packagename}_ROOT,
# as that appears to be the standard way to say "hey, look here for
# this package" from the command line.
#
if(POLICY CMP0074)
    cmake_policy(SET CMP0074 NEW)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

project(tcpdump)

#
# For checking if a compiler flag works and adding it if it does.
#
include(CheckCCompilerFlag)
macro(check_and_add_compiler_option _option)
    message(STATUS "Checking C compiler flag ${_option}")
    string(REPLACE "=" "-" _temp_option_variable ${_option})
    string(REGEX REPLACE "^-" "" _option_variable ${_temp_option_variable})
    check_c_compiler_flag("${_option}" ${_option_variable})
    if(${${_option_variable}})
        set(C_ADDITIONAL_FLAGS "${C_ADDITIONAL_FLAGS} ${_option}")
    endif()
endmacro()

#
# If we're building with Visual Studio, we require Visual Studio 2015,
# in order to get sufficient C99 compatibility.  Check for that.
#
# If not, try the appropriate flag for the compiler to enable C99
# features.
#
set(C_ADDITIONAL_FLAGS "")
if(MSVC)
    if(MSVC_VERSION LESS 1900)
        message(FATAL_ERROR "Visual Studio 2015 or later is required")
    endif()

    #
    # Treat source files as being in UTF-8 with MSVC if it's not using
    # the Clang front end.
    # We assume that UTF-8 source is OK with other compilers and with
    # MSVC if it's using the Clang front end.
    #
    if(NOT ${CMAKE_C_COMPILER} MATCHES "clang*")
        set(C_ADDITIONAL_FLAGS "${C_ADDITIONAL_FLAGS} /utf-8")
    endif(NOT ${CMAKE_C_COMPILER} MATCHES "clang*")
else(MSVC)
    #
    # Try to enable as many C99 features as we can.
    # At minimum, we want C++/C99-style // comments.
    #
    # Newer versions of compilers might default to supporting C99, but
    # older versions may require a special flag.
    #
    # Prior to CMake 3.1, setting CMAKE_C_STANDARD will not have any effect,
    # so, unless and until we require CMake 3.1 or later, we have to do it
    # ourselves on pre-3.1 CMake, so we just do it ourselves on all versions
    # of CMake.
    #
    # Note: with CMake 3.1 through 3.5, the only compilers for which CMake
    # handles CMAKE_C_STANDARD are GCC and Clang.  3.6 adds support only
    # for Intel C; 3.9 adds support for PGI C, Sun C, and IBM XL C, and
    # 3.10 adds support for Cray C and IAR C, but no version of CMake has
    # support for HP C.  Therefore, even if we use CMAKE_C_STANDARD with
    # compilers for which CMake supports it, we may still have to do it
    # ourselves on other compilers.
    #
    # See the CMake documentation for the CMAKE_<LANG>_COMPILER_ID variables
    # for a list of compiler IDs.
    #
    # XXX - this just tests whether the option works and adds it if it does.
    # We don't test whether it's necessary in order to get the C99 features
    # that we use; if we ever have a user who tries to compile with a compiler
    # that can't be made to support those features, we can add a test to make
    # sure we actually *have* C99 support.
    #
    if(CMAKE_C_COMPILER_ID MATCHES "GNU" OR
       CMAKE_C_COMPILER_ID MATCHES "Clang")
        check_and_add_compiler_option("-std=gnu99")
    elseif(CMAKE_C_COMPILER_ID MATCHES "XL")
        #
        # We want support for extensions picked up for GNU C compatibility,
        # so we use -qlanglvl=extc99.
        #
        check_and_add_compiler_option("-qlanglvl=extc99")
    elseif(CMAKE_C_COMPILER_ID MATCHES "HP")
        check_and_add_compiler_option("-AC99")
    elseif(CMAKE_C_COMPILER_ID MATCHES "Sun")
        check_and_add_compiler_option("-xc99")
    elseif(CMAKE_C_COMPILER_ID MATCHES "Intel")
        check_and_add_compiler_option("-c99")
    endif()
endif(MSVC)

set(LIBRARY_NAME netdissect)

###################################################################
#   Parameters
###################################################################

option(WITH_SMI "Build with libsmi, if available" ON)
option(WITH_CRYPTO "Build with OpenSSL/libressl libcrypto, if available" ON)
option(WITH_CAPSICUM "Build with Capsicum security functions, if available" ON)
option(WITH_CAP_NG "Use libcap-ng, if available" ON)
option(ENABLE_SMB "Build with the SMB dissector" ON)

#
# String parameters.  Neither of them are set, initially; only if the
# user explicitly configures them are they set.
#
# WITH_CHROOT is STRING, not PATH, as the directory need not exist
# when CMake is run.
#
set(WITH_CHROOT CACHE STRING
    "Directory to which to chroot when dropping privileges")
set(WITH_USER CACHE STRING
    "User to whom to set the UID when dropping privileges")

#
# By default, build universal with the appropriate set of architectures
# for the OS on which we're doing the build.
#
if(APPLE AND "${CMAKE_OSX_ARCHITECTURES}" STREQUAL "")
    #
    # Get the major version of Darwin.
    #
    string(REGEX MATCH "^([0-9]+)" SYSTEM_VERSION_MAJOR "${CMAKE_SYSTEM_VERSION}")

    if(SYSTEM_VERSION_MAJOR EQUAL 9)
        #
        # Leopard.  Build for x86 and 32-bit PowerPC, with
        # x86 first.  (That's what Apple does.)
        #
        set(CMAKE_OSX_ARCHITECTURES "i386;ppc")
    elseif(SYSTEM_VERSION_MAJOR EQUAL 10)
        #
        # Snow Leopard.  Build for x86-64 and x86, with
        # x86-64 first.  (That's what Apple does.)
        #
        set(CMAKE_OSX_ARCHITECTURES "x86_64;i386")
    endif()
endif()

###################################################################
#   Versioning
###################################################################

# Get, parse, format and set tcpdump's version string from
# [tcpdump_root]/VERSION for later use.

# Get MAJOR, MINOR, PATCH & SUFFIX
file(STRINGS ${tcpdump_SOURCE_DIR}/VERSION
    PACKAGE_VERSION
    LIMIT_COUNT 1 # Read only the first line
)

######################################
# Project settings
######################################

add_definitions(-DHAVE_CONFIG_H)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${tcpdump_SOURCE_DIR}
)

if(MSVC)
    add_definitions(-D__STDC__)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

if(MSVC)
    if (USE_STATIC_RT)
        MESSAGE(STATUS "Use STATIC runtime")
        set(NAME_RT MT)
        set (CMAKE_CXX_FLAGS_MINSIZEREL     "${CMAKE_CXX_FLAGS_MINSIZEREL} /MT")
        set (CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} /MT")
        set (CMAKE_CXX_FLAGS_RELEASE        "${CMAKE_CXX_FLAGS_RELEASE} /MT")
        set (CMAKE_CXX_FLAGS_DEBUG          "${CMAKE_CXX_FLAGS_DEBUG} /MTd")

        set (CMAKE_C_FLAGS_MINSIZEREL       "${CMAKE_C_FLAGS_MINSIZEREL} /MT")
        set (CMAKE_C_FLAGS_RELWITHDEBINFO   "${CMAKE_C_FLAGS_RELWITHDEBINFO} /MT")
        set (CMAKE_C_FLAGS_RELEASE          "${CMAKE_C_FLAGS_RELEASE} /MT")
        set (CMAKE_C_FLAGS_DEBUG            "${CMAKE_C_FLAGS_DEBUG} /MTd")
    else (USE_STATIC_RT)
        MESSAGE(STATUS "Use DYNAMIC runtime")
        set(NAME_RT MD)
        set (CMAKE_CXX_FLAGS_MINSIZEREL     "${CMAKE_CXX_FLAGS_MINSIZEREL} /MD")
        set (CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} /MD")
        set (CMAKE_CXX_FLAGS_RELEASE        "${CMAKE_CXX_FLAGS_RELEASE} /MD")
        set (CMAKE_CXX_FLAGS_DEBUG          "${CMAKE_CXX_FLAGS_DEBUG} /MDd")

        set (CMAKE_C_FLAGS_MINSIZEREL       "${CMAKE_C_FLAGS_MINSIZEREL} /MD")
        set (CMAKE_C_FLAGS_RELWITHDEBINFO   "${CMAKE_C_FLAGS_RELWITHDEBINFO} /MD")
        set (CMAKE_C_FLAGS_RELEASE          "${CMAKE_C_FLAGS_RELEASE} /MD")
        set (CMAKE_C_FLAGS_DEBUG            "${CMAKE_C_FLAGS_DEBUG} /MDd")
   endif (USE_STATIC_RT)
endif(MSVC)

###################################################################
#   Detect available platform features
###################################################################

include(CMakePushCheckState)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CheckStructHasMember)
include(CheckVariableExists)
include(CheckTypeSize)

#
# Header files.
#
check_include_file(fcntl.h HAVE_FCNTL_H)
check_include_file(rpc/rpc.h HAVE_RPC_RPC_H)
check_include_file(net/if.h HAVE_NET_IF_H)
if(HAVE_RPC_RPC_H)
    check_include_files("rpc/rpc.h;rpc/rpcent.h" HAVE_RPC_RPCENT_H)
endif(HAVE_RPC_RPC_H)
if(NOT WIN32)
    check_include_files("sys/types.h;sys/socket.h;net/if.h;net/pfvar.h" HAVE_NET_PFVAR_H)
    if(HAVE_NET_PFVAR_H)
        check_include_files("sys/types.h;sys/socket.h;net/if.h;net/pfvar.h;net/if_pflog.h" HAVE_NET_IF_PFLOG_H)
        if(HAVE_NET_IF_PFLOG_H)
            set(LOCALSRC print-pflog.c ${LOCALSRC})
        endif(HAVE_NET_IF_PFLOG_H)
    endif(HAVE_NET_PFVAR_H)
endif(NOT WIN32)

#
# Functions.
#
check_function_exists(strlcat HAVE_STRLCAT)
check_function_exists(strlcpy HAVE_STRLCPY)
check_function_exists(strdup HAVE_STRDUP)
check_function_exists(strsep HAVE_STRSEP)

#
# Find library needed for gethostbyaddr.
# NOTE: if you hand check_library_exists as its last argument a variable
# that's been set, it skips the test, so we need different variables.
#
set(TCPDUMP_LINK_LIBRARIES "")
if(WIN32)
    #
    # We need winsock2.h and ws2tcpip.h.
    #
    cmake_push_check_state()
    set(CMAKE_REQUIRED_LIBRARIES ws2_32)
    check_symbol_exists(gethostbyaddr "winsock2.h;ws2tcpip.h" LIBWS2_32_HAS_GETHOSTBYADDR)
    cmake_pop_check_state()
    if(LIBWS2_32_HAS_GETHOSTBYADDR)
        set(TCPDUMP_LINK_LIBRARIES ws2_32 ${TCPDUMP_LINK_LIBRARIES})
    else(LIBWS2_32_HAS_GETHOSTBYADDR)
        message(FATAL_ERROR "gethostbyaddr is required, but wasn't found")
    endif(LIBWS2_32_HAS_GETHOSTBYADDR)
else(WIN32)
    check_function_exists(gethostbyaddr STDLIBS_HAVE_GETHOSTBYADDR)
    if(NOT STDLIBS_HAVE_GETHOSTBYADDR)
        check_library_exists(socket gethostbyaddr "" LIBSOCKET_HAS_GETHOSTBYADDR)
        if(LIBSOCKET_HAS_GETHOSTBYADDR)
            set(TCPDUMP_LINK_LIBRARIES ${TCPDUMP_LINK_LIBRARIES} socket)
        else(LIBSOCKET_HAS_GETHOSTBYADDR)
            check_library_exists(nsl gethostbyaddr "" LIBNSL_HAS_GETHOSTBYADDR)
            if(LIBNSL_HAS_GETHOSTBYADDR)
                set(TCPDUMP_LINK_LIBRARIES ${TCPDUMP_LINK_LIBRARIES} nsl)
            else(LIBNSL_HAS_GETHOSTBYADDR)
                message(FATAL_ERROR "gethostbyaddr is required, but wasn't found")
            endif(LIBNSL_HAS_GETHOSTBYADDR)
        endif(LIBSOCKET_HAS_GETHOSTBYADDR)
    endif(NOT STDLIBS_HAVE_GETHOSTBYADDR)
endif(WIN32)

#
# This may require additional libraries.
#
cmake_push_check_state()
set(CMAKE_REQUIRED_LIBRARIES ${TCPDUMP_LINK_LIBRARIES})
check_function_exists(getservent STDLIBS_HAVE_GETSERVENT)
if(STDLIBS_HAVE_GETSERVENT)
    set(HAVE_GETSERVENT TRUE)
else(STDLIBS_HAVE_GETSERVENT)
    #
    # Some platforms may need -lsocket for getservent.
    #
    set(CMAKE_REQUIRED_LIBRARIES socket ${TCPDUMP_LINK_LIBRARIES})
    check_function_exists(getservent LIBSOCKET_HAS_GETSERVENT)
    if(LIBSOCKET_HAS_GETSERVENT)
        set(HAVE_GETSERVENT TRUE)
        set(TCPDUMP_LINK_LIBRARIES socket ${TCPDUMP_LINK_LIBRARIES})
    endif(LIBSOCKET_HAS_GETSERVENT)
endif(STDLIBS_HAVE_GETSERVENT)
cmake_pop_check_state()

#
# Make sure we have vsnprintf() and snprintf(); we require them.
# We use check_symbol_exists(), as they aren't necessarily external
# functions - in Visual Studio, for example, they're inline functions
# calling a common external function.
#
check_symbol_exists(vsnprintf "stdio.h" HAVE_VSNPRINTF)
if(NOT HAVE_VSNPRINTF)
    message(FATAL_ERROR "vsnprintf() is required but wasn't found")
endif(NOT HAVE_VSNPRINTF)
check_symbol_exists(snprintf "stdio.h" HAVE_SNPRINTF)
if(NOT HAVE_SNPRINTF)
    message(FATAL_ERROR "snprintf() is required but wasn't found")
endif()

check_function_exists(getopt_long HAVE_GETOPT_LONG)

=== debian/changelog ===
tcpdump (4.99.0-2+deb11u1) bullseye; urgency=medium

  * Minor AppArmor profile updates (debian/usr.bin.tcpdump):
    + Grant access to *.cap (closes: #989433).
    + Account for numerical suffix in filenames added by -W (closes: #1010688).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 22 May 2022 18:22:50 +0200

tcpdump (4.99.0-2) unstable; urgency=medium

  * Add autopkgtest support, running the upstream test suite.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 15 Jan 2021 23:41:47 +0100

tcpdump (4.99.0-1) unstable; urgency=medium

  * New upstream release.
  * Mention in debian/NEWS that tcpdump is now installed to /usr/bin
    instead of /usr/sbin.
  * Rename AppArmor profile to match new binary location and add
    maintscript stanza to move the previous conffile if present.
  * Temporarily disable tests that require the just-released libpcap 1.10,
    we don't want to tie the migration of the two just before the bullseye
    freeze.
  * Drop unused lintian override.
  * Bump Standards-Version to 4.5.1.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 03 Jan 2021 21:28:16 +0100

tcpdump (4.9.3-7) unstable; urgency=high

  * Cherry-pick commit 32027e1993 from the upstream tcpdump-4.9 branch to fix
    untrusted input issue in the PPP printer (CVE-2020-8037, closes: #973877).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Nov 2020 13:19:14 +0100

tcpdump (4.9.3-6) unstable; urgency=medium

  [ Simon Deziel ]
  * debian/usr.sbin.tcpdump: use profile name specifier instead of
    '/usr/sbin/tcpdump'.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 28 May 2020 19:23:57 +0200

tcpdump (4.9.3-5) unstable; urgency=medium

  * Minor packaging fixes courtesy of the Janitor bot and lintian-brush:
    + Set upstream metadata fields: Bug-Submit, Repository, Repository-
      Browse.
  * Bump Standards-Version to 4.5.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 May 2020 20:42:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                dpkg-dev (>= 1.16.1~),
                libpcap0.8-dev (>= 1.9.1),
                libssl-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
 Vcs-Git: https://salsa.debian.org/rfrancoise/tcpdump.git
 
 Package: tcpdump
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-	 adduser
+Depends: adduser,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: apparmor-profiles-extra (<< 1.12~)
 Replaces: apparmor-profiles-extra (<< 1.12~)
 Suggests: apparmor (>= 2.3)

## tcpdump 4.99.1

=== debian/changelog ===
tcpdump (4.99.1-4) unstable; urgency=medium

  * debian/usr.bin.tcpdump: account for numerical suffix in filenames
    added by -W (closes: #1010688).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 May 2022 18:25:45 +0200

tcpdump (4.99.1-3) unstable; urgency=medium

  * Clean up AppArmor local profile for /usr/sbin/tcpdump, if it's still
    empty (closes: #990554).
  * Switch to debhelper compat level 13.
  * Set `Rules-Requires-Root' to "no".
  * Bump Standards-Version to 4.6.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 12 Sep 2021 18:55:44 +0200

tcpdump (4.99.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 15 Aug 2021 17:29:54 +0200

tcpdump (4.99.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/usr.bin.tcpdump: grant access to *.cap (closes: #989433).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 20 Jun 2021 20:48:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dpkg-dev (>= 1.16.1~),
                libpcap0.8-dev (>= 1.9.1),
                libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
 Vcs-Git: https://salsa.debian.org/rfrancoise/tcpdump.git

## tcpdump 4.99.2

=== debian/changelog ===
tcpdump (4.99.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Jan 2023 12:34:39 +0100

tcpdump (4.99.2-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable all tests.
  * Bump Standards-Version to 4.6.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Jan 2023 18:19:40 +0100

tcpdump (4.99.1-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 21 May 2022 11:08:38 +0200

tcpdump (4.99.1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 02 Nov 2021 16:00:10 +0100

## tcpdump 4.99.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,19 @@
     # below.
     cmake_minimum_required(VERSION 3.12)
 else(WIN32)
-    cmake_minimum_required(VERSION 2.8.6)
+    #
+    # For now, require only 2.8.6, just in case somebody is
+    # configuring with CMake on a "long-term support" version
+    # of some OS and that version supplies an older version of
+    # CMake.
+    #
+    # If this is ever updated to CMake 3.1 or later, remove the
+    # stuff in cmake/Modules/FindPCAP.cmake that appends subdirectories
+    # of directories from CMAKE_PREFIX_PATH to the PKG_CONFIG_PATH
+    # environment variable when running pkg-config, to make sure
+    # it finds any .pc file from there.
+    #
+    cmake_minimum_required(VERSION 2.8.12)
 endif(WIN32)
 
 #
@@ -16,9 +28,93 @@
     cmake_policy(SET CMP0074 NEW)
 endif()
 
+#
+# OK, this is a pain.
+#
+# When building on NetBSD, with a libpcap installed from pkgsrc,
+# a -Wl,-rpath,/usr/pkg/lib option is added to the options when
+# linking tcpdump.  This puts /usr/pkg/lib into the run-time path.
+#
+# However, by default, CMake adds a rule to the install CMake script
+# a CMake command (using an undocumented subcommand of file()) that
+# strips /usr/pkg/lib *out* of the run-time path; the message in the
+# output for the "install" target is
+#
+#    -- Set runtime path of "{target-directory}/tcpdump" to ""
+#
+# I am not certain what the rationale is for doing this, but a
+# *consequence* of this is that, when you run the installed tcpdump,
+# it fails to find libpcap.so:
+#
+#    $ {target-directory}/tcpdump -h
+#    {target-directory}/tcpdump: Shared object "libpcap.so.0" not found
+#
+# It also appears to be the case that, on Ubuntu 22.04, FreeBSD 12,
+# DragonFly BSD 5.8, OpenBSD 6.6, and Solaris 11.4,
+#
+# On Ubuntu and Solaris, even if you have a libpcap in /usr/local, you
+# have to provide not only -I/usr/local/include and -L/usr/local/lib,
+# you also must provide -Wl,-rpath,/usr/local/lib in order to have
+# the run-time linker look in /usr/local/lib for libpcap.  If it's not
+# specified, then, if the shared library major version number of the
+# libpcap in /usr/lib is the same as the shared major version number
+# of the libpcap in /usr/local/lib, the run-time linker will find the
+# libpcap in /usr/lib; if the versions are different, the run-time
+# linker will fail to find the libpcap in /usr/lib, so the program will
+# fail to run.
+#
+# We suppress this by setting CMAKE_INSTALL_RPATH_USE_LINK_PATH to TRUE;
+# as the documentation for that variable says:
+#
+#    Add paths to linker search and installed rpath.
+#
+#    CMAKE_INSTALL_RPATH_USE_LINK_PATH is a boolean that if set to True
+#    will append to the runtime search path (rpath) of installed
+#    binaries any directories outside the project that are in the linker
+#    search path or contain linked library files. The directories are
+#    appended after the value of the INSTALL_RPATH target property.
+#
+# If, for whatever reason, directories in which we search for external
+# libraries, other than the standard system library directories, are
+# added to the executable's rpath in the build process, we most
+# defintely want them in the installed image's rpath if they are
+# necessary in order to find the libraries at run time.
+#
+set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)
 
-project(tcpdump)
+#
+# OK, this is a royal pain.
+#
+# CMake will try to determine the sizes of some data types, including
+# void *, early in the process of configuration; apparently, it's done
+# as part of processing the project() command.
+#
+# At least as of CMake 2.8.6, it does so by checking the size of
+# "void *" in C, setting CMAKE_C_SIZEOF_DATA_PTR based on that,
+# setting CMAKE_SIZEOF_VOID_P to that, and then checking the size
+# of "void *" in C++, setting CMAKE_CXX_SIZEOF_DATA_PTR based on
+# that, and then setting CMAKE_SIZEOF_VOID_P to *that*.
+#
+# The compile tests include whatever C flags may have been provided
+# to CMake in the CFLAGS and CXXFLAGS environment variables.
+#
+# If you set an architecture flag such as -m32 or -m64 in CFLAGS
+# but *not* in CXXFLAGS, the size for C++ will win, and hilarity
+# will ensue.
+#
+# Or if, at least on Solaris, you have a newer version of GCC
+# installed, but *not* a newer version of G++, and you have Oracle
+# Studio installed, it will find GCC, which will default to building
+# 64-bit, and Oracle Studio's C++ compiler, which will default to
+# building 32-bit, the size for C++ will win, and, again, hilarity
+# will ensue.
+#
+# So we *explicitly* state that only C is used; there is currently no
+# C++ code in tcpdump.
+#
+project(tcpdump C)
 
 #
 # For checking if a compiler flag works and adding it if it does.
@@ -114,7 +210,7 @@
 option(WITH_CRYPTO "Build with OpenSSL/libressl libcrypto, if available" ON)
 option(WITH_CAPSICUM "Build with Capsicum security functions, if available" ON)
 option(WITH_CAP_NG "Use libcap-ng, if available" ON)
-option(ENABLE_SMB "Build with the SMB dissector" ON)
+option(ENABLE_SMB "Build with the SMB dissector" OFF)
 
 #
 # String parameters.  Neither of them are set, initially; only if the
@@ -206,121 +302,3 @@
         set (CMAKE_C_FLAGS_MINSIZEREL       "${CMAKE_C_FLAGS_MINSIZEREL} /MD")
         set (CMAKE_C_FLAGS_RELWITHDEBINFO   "${CMAKE_C_FLAGS_RELWITHDEBINFO} /MD")
         set (CMAKE_C_FLAGS_RELEASE          "${CMAKE_C_FLAGS_RELEASE} /MD")
-        set (CMAKE_C_FLAGS_DEBUG            "${CMAKE_C_FLAGS_DEBUG} /MDd")
-   endif (USE_STATIC_RT)
-endif(MSVC)
-
-###################################################################
-#   Detect available platform features
-###################################################################
-
-include(CMakePushCheckState)
-include(CheckIncludeFile)
-include(CheckIncludeFiles)
-include(CheckFunctionExists)
-include(CheckLibraryExists)
-include(CheckSymbolExists)
-include(CheckStructHasMember)
-include(CheckVariableExists)
-include(CheckTypeSize)
-
-#
-# Header files.
-#
-check_include_file(fcntl.h HAVE_FCNTL_H)
-check_include_file(rpc/rpc.h HAVE_RPC_RPC_H)
-check_include_file(net/if.h HAVE_NET_IF_H)
-if(HAVE_RPC_RPC_H)
-    check_include_files("rpc/rpc.h;rpc/rpcent.h" HAVE_RPC_RPCENT_H)
-endif(HAVE_RPC_RPC_H)
-if(NOT WIN32)
-    check_include_files("sys/types.h;sys/socket.h;net/if.h;net/pfvar.h" HAVE_NET_PFVAR_H)
-    if(HAVE_NET_PFVAR_H)
-        check_include_files("sys/types.h;sys/socket.h;net/if.h;net/pfvar.h;net/if_pflog.h" HAVE_NET_IF_PFLOG_H)
-        if(HAVE_NET_IF_PFLOG_H)
-            set(LOCALSRC print-pflog.c ${LOCALSRC})
-        endif(HAVE_NET_IF_PFLOG_H)
-    endif(HAVE_NET_PFVAR_H)
-endif(NOT WIN32)
-
-#
-# Functions.
-#
-check_function_exists(strlcat HAVE_STRLCAT)
-check_function_exists(strlcpy HAVE_STRLCPY)
-check_function_exists(strdup HAVE_STRDUP)
-check_function_exists(strsep HAVE_STRSEP)
-
-#
-# Find library needed for gethostbyaddr.
-# NOTE: if you hand check_library_exists as its last argument a variable
-# that's been set, it skips the test, so we need different variables.
-#
-set(TCPDUMP_LINK_LIBRARIES "")
-if(WIN32)
-    #
-    # We need winsock2.h and ws2tcpip.h.
-    #
-    cmake_push_check_state()
-    set(CMAKE_REQUIRED_LIBRARIES ws2_32)
-    check_symbol_exists(gethostbyaddr "winsock2.h;ws2tcpip.h" LIBWS2_32_HAS_GETHOSTBYADDR)
-    cmake_pop_check_state()
-    if(LIBWS2_32_HAS_GETHOSTBYADDR)
-        set(TCPDUMP_LINK_LIBRARIES ws2_32 ${TCPDUMP_LINK_LIBRARIES})
-    else(LIBWS2_32_HAS_GETHOSTBYADDR)
-        message(FATAL_ERROR "gethostbyaddr is required, but wasn't found")
-    endif(LIBWS2_32_HAS_GETHOSTBYADDR)
-else(WIN32)
-    check_function_exists(gethostbyaddr STDLIBS_HAVE_GETHOSTBYADDR)
-    if(NOT STDLIBS_HAVE_GETHOSTBYADDR)
-        check_library_exists(socket gethostbyaddr "" LIBSOCKET_HAS_GETHOSTBYADDR)
-        if(LIBSOCKET_HAS_GETHOSTBYADDR)
-            set(TCPDUMP_LINK_LIBRARIES ${TCPDUMP_LINK_LIBRARIES} socket)
-        else(LIBSOCKET_HAS_GETHOSTBYADDR)
-            check_library_exists(nsl gethostbyaddr "" LIBNSL_HAS_GETHOSTBYADDR)
-            if(LIBNSL_HAS_GETHOSTBYADDR)
-                set(TCPDUMP_LINK_LIBRARIES ${TCPDUMP_LINK_LIBRARIES} nsl)
-            else(LIBNSL_HAS_GETHOSTBYADDR)
-                message(FATAL_ERROR "gethostbyaddr is required, but wasn't found")
-            endif(LIBNSL_HAS_GETHOSTBYADDR)
-        endif(LIBSOCKET_HAS_GETHOSTBYADDR)
-    endif(NOT STDLIBS_HAVE_GETHOSTBYADDR)
-endif(WIN32)
-
-#
-# This may require additional libraries.
-#
-cmake_push_check_state()
-set(CMAKE_REQUIRED_LIBRARIES ${TCPDUMP_LINK_LIBRARIES})
-check_function_exists(getservent STDLIBS_HAVE_GETSERVENT)
-if(STDLIBS_HAVE_GETSERVENT)
-    set(HAVE_GETSERVENT TRUE)
-else(STDLIBS_HAVE_GETSERVENT)
-    #
-    # Some platforms may need -lsocket for getservent.
-    #
-    set(CMAKE_REQUIRED_LIBRARIES socket ${TCPDUMP_LINK_LIBRARIES})
-    check_function_exists(getservent LIBSOCKET_HAS_GETSERVENT)
-    if(LIBSOCKET_HAS_GETSERVENT)
-        set(HAVE_GETSERVENT TRUE)
-        set(TCPDUMP_LINK_LIBRARIES socket ${TCPDUMP_LINK_LIBRARIES})
-    endif(LIBSOCKET_HAS_GETSERVENT)
-endif(STDLIBS_HAVE_GETSERVENT)
-cmake_pop_check_state()
-
-#
-# Make sure we have vsnprintf() and snprintf(); we require them.
-# We use check_symbol_exists(), as they aren't necessarily external
-# functions - in Visual Studio, for example, they're inline functions
-# calling a common external function.
-#
-check_symbol_exists(vsnprintf "stdio.h" HAVE_VSNPRINTF)
-if(NOT HAVE_VSNPRINTF)
-    message(FATAL_ERROR "vsnprintf() is required but wasn't found")
-endif(NOT HAVE_VSNPRINTF)
-check_symbol_exists(snprintf "stdio.h" HAVE_SNPRINTF)
-if(NOT HAVE_SNPRINTF)
-    message(FATAL_ERROR "snprintf() is required but wasn't found")
-endif()
-
-check_function_exists(getopt_long HAVE_GETOPT_LONG)

=== debian/changelog ===
tcpdump (4.99.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop Hurd build patch, which doesn't seem to be right anymore.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Jan 2023 18:23:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dpkg-dev (>= 1.16.1~),
                libpcap0.8-dev (>= 1.9.1),
                libssl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump

## tcpdump 4.99.4

=== debian/changelog ===
tcpdump (4.99.4-3ubuntu4.25.04.1) plucky; urgency=medium

  * Fixes segfault when running as the root user. (LP: #2071891)
    - d/p/drop-privs-after-opening-savefile.diff

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Wed, 10 Sep 2025 15:28:48 +0000

tcpdump (4.99.4-3ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:51 +0200

tcpdump (4.99.4-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:18:58 +0000

tcpdump (4.99.4-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:24:11 +0000

tcpdump (4.99.4-3ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/usr.sbin.tcpdump: allow tcpdump printing to stdout/stderr
      when running from a container (LP #1667016)
  * Dropped:
    - d/usr.sbin.tcpdump: Allow pcapng files (LP #2024017)
      [In 4.99.4-3]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 01 Aug 2023 11:49:37 -0300

tcpdump (4.99.4-3) unstable; urgency=medium

  * Allow *.pcapng in AppArmor policy, thanks to Chris Kuethe for the
    patch (closes: #1039993).
  * Pick up patch from upstream PR#812 to avoid the call to droproot()
    altogether if called with `-Z root', thanks to Tj (closes: #1035842).
  * Override 'spelling-error-in-binary' and move 'set -e' inside maintscripts.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Jul 2023 17:23:56 +0200

tcpdump (4.99.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Jun 2023 17:29:12 +0200

tcpdump (4.99.4-1) experimental; urgency=medium

  * New upstream release.
  * Mark Debian-specific patches as "Forwarded: not-needed" in metadata.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 10 Apr 2023 16:57:18 +0200

tcpdump (4.99.3-1ubuntu2) mantic; urgency=medium

  [ Chris Kuethe ]
  * d/usr.sbin.tcpdump: Allow pcapng files (LP: #2024017)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Jul 2023 18:07:50 -0300

tcpdump (4.99.3-1ubuntu1) lunar; urgency=medium

  * debian/usr.sbin.tcpdump: allow tcpdump printing to stdout/stderr when
    running from a container (LP: #1667016)

 -- Georgia Garcia <georgia.garcia@canonical.com>  Fri, 10 Feb 2023 15:17:18 -0300

=== debian/tests/control ===
Test-Command: env TCPDUMP_BIN=/usr/bin/tcpdump ./tests/TESTrun
Restrictions: build-needed

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" https://www.tcpdump.org release/tcpdump-([\d\.]*).tar.gz

## tcpdump 4.99.5

=== debian/changelog ===
tcpdump (4.99.5-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:35:37 +0000

tcpdump (4.99.5-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2115467). Remaining changes:
    - debian/usr.sbin.tcpdump: allow tcpdump printing to stdout/stderr
      when running from a container (LP #1667016)

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Thu, 26 Jun 2025 21:16:30 -0500

tcpdump (4.99.5-2) unstable; urgency=medium

  * Transfer ownership to pkg-security team.
  * Set Vcs-* fields to new locations in Debian group.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 09 Feb 2025 12:03:02 +0100

tcpdump (4.99.5-1) unstable; urgency=low

  * New upstream release.
  * Drop upstream patch related to #1035842, now included.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Sep 2024 12:49:43 +0200

tcpdump (4.99.4-5) unstable; urgency=medium

  * Avoid getpwnam(NULL) when called with `-Z root', thanks to Rodney
    Dawes <dobey@ubuntu.com> for the report and patch (closes: #1078771).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 23 Aug 2024 18:53:46 +0200

tcpdump (4.99.4-4) unstable; urgency=medium

  * debian/watch: switch to .tar.xz URLs as upstream homepage no longer
    lists the .tar.gz.
  * Mark latest patch as "Forwarded: not-needed".
  * Bump Standards-Version to 4.7.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 28 Apr 2024 17:07:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: tcpdump
 Section: net
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dpkg-dev (>= 1.16.1~),
                libpcap0.8-dev (>= 1.9.1),
                libssl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.tcpdump.org/
-Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
-Vcs-Git: https://salsa.debian.org/rfrancoise/tcpdump.git
+Vcs-Browser: https://salsa.debian.org/debian/tcpdump
+Vcs-Git: https://salsa.debian.org/debian/tcpdump.git
 
 Package: tcpdump
 Architecture: any

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" https://www.tcpdump.org release/tcpdump-([\d\.]*).tar.xz

## tcpdump 4.99.6

=== debian/changelog ===
tcpdump (4.99.6-1) experimental; urgency=medium

  * Team upload
  * Bump std-version to 4.7.3, no changes required
  * Drop R^3: no, default now
  * Drop version constraint on libpcap version,
    satisfied already since old-old-old-stable
  * New upstream version 4.99.6
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Feb 2026 09:52:22 +0100

tcpdump (4.99.5-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Stop deleting tcpdump user/group on purge
  * Install and use sysusers.d config file

  [ Gianfranco Costamagna, Georgia Garcia ]
  * debian/usr.sbin.tcpdump: allow tcpdump printing to stdout/stderr when
    running from a container (LP: #1667016) (Closes: #1032298)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Feb 2026 08:41:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: tcpdump
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-installsysusers,
                dh-apparmor,
                dpkg-dev (>= 1.16.1~),
-               libpcap0.8-dev (>= 1.9.1),
+               libpcap0.8-dev,
                libssl-dev
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/debian/tcpdump
 Vcs-Git: https://salsa.debian.org/debian/tcpdump.git
 
 Package: tcpdump
 Architecture: any
-Depends: adduser,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: apparmor-profiles-extra (<< 1.12~)
 Replaces: apparmor-profiles-extra (<< 1.12~)
